Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRHtmlExporter.ExporterContext

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractExporter.BaseExporterContext
          net.sf.jasperreports.engine.export.JRHtmlExporter.ExporterContext

All Implemented Interfaces:
  JRExporterContext, JRHtmlExporterContext

Enclosing class:
  JRHtmlExporter

    protected class JRHtmlExporter.ExporterContext

extends JRAbstractExporter.BaseExporterContext
implements JRHtmlExporterContext

Constructor Summary
`protected` | `JRHtmlExporter.ExporterContext()`

Method Summary
`java.lang.String` | `getExportPropertiesPrefix()` Returns the properties prefix for the current exporter.
`java.lang.String` | `getHyperlinkURL(JRPrintHyperlink link)`

Methods inherited from class net.sf.jasperreports.engine.JRAbstractExporter.BaseExporterContext
`getExportedReport, getExporter, getExportParameters, getOffsetX, getOffsetY`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.export.JRExporterContext
`getExportedReport, getExporter, getExportParameters, getOffsetX, getOffsetY`

Constructor Detail

### JRHtmlExporter.ExporterContext

    protected JRHtmlExporter.ExporterContext()

Method Detail

### getExportPropertiesPrefix

    public java.lang.String getExportPropertiesPrefix()

  Description copied from interface: `JRExporterContext`
  Returns the properties prefix for the current exporter.

  Specified by:
    `getExportPropertiesPrefix` in interface `JRExporterContext`
  Returns:
    the properties prefix for the current exporter

### getHyperlinkURL

    public java.lang.String getHyperlinkURL(JRPrintHyperlink link)

  Specified by:
    `getHyperlinkURL` in interface `JRHtmlExporterContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com